import {Component, Input, OnInit} from '@angular/core';
import { Router } from '@angular/router';
import {ThemeService} from "../../services/theme.service";

@Component({
  selector: 'app-landing-page',
  templateUrl: './landing-page.component.html',
  styleUrls: ['./landing-page.component.scss']
})
export class LandingPageComponent implements OnInit{
  themeClass!: string;

  constructor(private router: Router, private themeService: ThemeService){}

  ngOnInit() {
    this.themeService.isDarkTheme.subscribe(value => {
      value ? this.themeClass = 'dark-theme' : this.themeClass = 'light-theme';
    })
  }
  // Si click sur "Run", on redirige vers la page d'édition
  onContinue():void{
      this.router.navigateByUrl('/editor');
  }
}
